pidgin: PurpleAccountOption Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
PurpleAccountOption Struct Reference

An option for an account. More...

`#include <accountopt.h>`

## Data Fields
PurplePrefType | type
| The type of value.
char * | text
| The text that will appear to the user.
char * | pref_name
| The name of the associated preference.
union {
gboolean boolean
| The default boolean value. More...
int integer
| The default integer value. More...
char * string
| The default string value. More...
GList * list
| The default list value. More...
} | default_value
gboolean | masked
| Whether the value entered should be obscured from view (for passwords and similar options)

## Detailed Description

An option for an account.

This is set by protocol plugins, and appears in the account settings dialogs.

Definition at line 37 of file accountopt.h.

## Field Documentation

## ◆ boolean

gboolean PurpleAccountOption::boolean

The default boolean value.

Definition at line 46 of file accountopt.h.

## ◆ integer

int PurpleAccountOption::integer

The default integer value.

Definition at line 47 of file accountopt.h.

## ◆ list

GList* PurpleAccountOption::list

The default list value.

Definition at line 49 of file accountopt.h.

## ◆ masked

gboolean PurpleAccountOption::masked

Whether the value entered should be obscured from view (for passwords and similar options)

Definition at line 53 of file accountopt.h.

## ◆ pref_name

char* PurpleAccountOption::pref_name

The name of the associated preference.

Definition at line 42 of file accountopt.h.

## ◆ string

char* PurpleAccountOption::string

The default string value.

Definition at line 48 of file accountopt.h.

## ◆ text

char* PurpleAccountOption::text

The text that will appear to the user.

Definition at line 41 of file accountopt.h.

## ◆ type

PurplePrefType PurpleAccountOption::type

The type of value.

Definition at line 39 of file accountopt.h.

The documentation for this struct was generated from the following file:

- accountopt.h